pub const PACKET_LEN: usize = 256 + 2 + 65;

#[derive(Debug, Clone)]
pub struct Packet {
    len: usize,
    pub data: [u8; PACKET_LEN],
}

impl Packet {
    pub fn push(&mut self, b: u8) {
        assert!(self.len < PACKET_LEN);

        self.data[self.len] = b;
        self.len += 1;
    }

    pub fn is_complete(&self) -> bool {
        self.len == PACKET_LEN
    }
}

impl Default for Packet {
    fn default() -> Self {
        Self {
            len: 0,
            data: [0; PACKET_LEN],
        }
    }
}
